# Uses of Interface
org.eclipse.gef.ConnectionEditPart

Packages that use ConnectionEditPart
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.
org.eclipse.gef.handles
This package provide several common handle implementations.
org.eclipse.gef.requests
This package contains the common Request types used by the provided tools and edit policies.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.util

## Uses of ConnectionEditPart in org.eclipse.gef

Methods in org.eclipse.gef that return types with arguments of type ConnectionEditPart
Modifier and Type
Method
Description
`List<? extends ConnectionEditPart>`
GraphicalEditPart.`getSourceConnections()`
Returns the source connections for this GraphicalEditPart.
`List<? extends ConnectionEditPart>`
GraphicalEditPart.`getTargetConnections()`
Returns the target connections for this GraphicalEditPart.
Methods in org.eclipse.gef with parameters of type ConnectionEditPart
Modifier and Type
Method
Description
`org.eclipse.draw2d.ConnectionAnchor`
NodeEditPart.`getSourceConnectionAnchor(ConnectionEditPart connection)`
Returns the `ConnectionAnchor` for the specified source connection.
`org.eclipse.draw2d.ConnectionAnchor`
NodeEditPart.`getTargetConnectionAnchor(ConnectionEditPart connection)`
Returns the `ConnectionAnchor` for the specified target connection.
`void`
NodeListener.`removingSourceConnection(ConnectionEditPart connection, int index)`
Called prior to removing the connection from its source node.
`void`
NodeListener.`removingTargetConnection(ConnectionEditPart connection, int index)`
Called prior to removing the connection from its target node.
`void`
NodeListener.`sourceConnectionAdded(ConnectionEditPart connection, int index)`
Called after the connection has been added to its source node.
`void`
NodeListener.`targetConnectionAdded(ConnectionEditPart connection, int index)`
Called after the connection has been added to its target node.

## Uses of ConnectionEditPart in org.eclipse.gef.editparts

Classes in org.eclipse.gef.editparts that implement ConnectionEditPart
Modifier and Type
Class
Description
`class`
`AbstractConnectionEditPart`
The base implementation for `ConnectionEditPart`.
Fields in org.eclipse.gef.editparts with type parameters of type ConnectionEditPart
Modifier and Type
Field
Description
`protected List<ConnectionEditPart>`
AbstractGraphicalEditPart.`sourceConnections`
List of source ConnectionEditParts
`protected List<ConnectionEditPart>`
AbstractGraphicalEditPart.`targetConnections`
List of source ConnectionEditParts
Methods in org.eclipse.gef.editparts that return ConnectionEditPart
Modifier and Type
Method
Description
`protected ConnectionEditPart`
AbstractGraphicalEditPart.`createConnection(Object model)`
Creates a `ConnectionEditPart` for the given model.
`protected ConnectionEditPart`
AbstractGraphicalEditPart.`createOrFindConnection(Object model)`
Searches for an existing `ConnectionEditPart` in the Viewer's `EditPart registry` and returns it if one is found.
Methods in org.eclipse.gef.editparts that return types with arguments of type ConnectionEditPart
Modifier and Type
Method
Description
`List<? extends ConnectionEditPart>`
AbstractGraphicalEditPart.`getSourceConnections()`
`List<? extends ConnectionEditPart>`
AbstractGraphicalEditPart.`getTargetConnections()`
Methods in org.eclipse.gef.editparts with parameters of type ConnectionEditPart
Modifier and Type
Method
Description
`protected void`
AbstractGraphicalEditPart.`addSourceConnection(ConnectionEditPart connection, int index)`
Adds a source ConnectionEditPart at the specified index.
`protected void`
AbstractGraphicalEditPart.`addTargetConnection(ConnectionEditPart connection, int index)`
Adds a target ConnectionEditPart at the specified index.
`protected void`
AbstractGraphicalEditPart.`fireRemovingSourceConnection(ConnectionEditPart connection, int index)`
Notifies listeners that a source connection has been removed.
`protected void`
AbstractGraphicalEditPart.`fireRemovingTargetConnection(ConnectionEditPart connection, int index)`
Notifies listeners that a target connection has been removed.
`protected void`
AbstractGraphicalEditPart.`fireSourceConnectionAdded(ConnectionEditPart connection, int index)`
Notifies listeners that a source connection has been added.
`protected void`
AbstractGraphicalEditPart.`fireTargetConnectionAdded(ConnectionEditPart connection, int index)`
Notifies listeners that a target connection has been added.
`protected void`
AbstractGraphicalEditPart.`primAddSourceConnection(ConnectionEditPart connection, int index)`
Adds the specified source `ConnectionEditPart` at an index.
`protected void`
AbstractGraphicalEditPart.`primAddTargetConnection(ConnectionEditPart connection, int index)`
Adds the specified target `ConnectionEditPart` at an index.
`protected void`
AbstractGraphicalEditPart.`primRemoveSourceConnection(ConnectionEditPart connection)`
Removes the specified source `ConnectionEditPart` from the `AbstractGraphicalEditPart.sourceConnections` List.
`protected void`
AbstractGraphicalEditPart.`primRemoveTargetConnection(ConnectionEditPart connection)`
Removes the specified target `ConnectionEditPart` from the `AbstractGraphicalEditPart.targetConnections` List.
`protected void`
AbstractGraphicalEditPart.`removeSourceConnection(ConnectionEditPart connection)`
Removes the given connection for which this EditPart is the source.
`protected void`
AbstractGraphicalEditPart.`removeTargetConnection(ConnectionEditPart connection)`
Removes the given connection for which this EditPart is the target.
`protected void`
AbstractGraphicalEditPart.`reorderSourceConnection(ConnectionEditPart connection, int index)`
Moves a source `ConnectionEditPart` into a lower index than it currently occupies.
`protected void`
AbstractGraphicalEditPart.`reorderTargetConnection(ConnectionEditPart connection, int index)`
Moves a target `ConnectionEditPart` into a lower index than it currently occupies.

## Uses of ConnectionEditPart in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies that return ConnectionEditPart
Modifier and Type
Method
Description
`ConnectionEditPart`
BendpointEditPolicy.`getHost()`
Methods in org.eclipse.gef.editpolicies with parameters of type ConnectionEditPart
Modifier and Type
Method
Description
`protected void`
ScrollableSelectionFeedbackEditPolicy.`createConnectionFeedbackFigure(ConnectionEditPart connectionEditPart)`
Creates a ghost image feedback figure for the given `ConnectionEditPart`'s figure and adds it to the feedback layer.

## Uses of ConnectionEditPart in org.eclipse.gef.handles

Constructors in org.eclipse.gef.handles with parameters of type ConnectionEditPart
Modifier
Constructor
Description
``
`BendpointCreationHandle(ConnectionEditPart owner, int index)`
Creates a new BendpointCreationHandle, sets its owner to `owner` and its index to `index`, and sets its locator to a new `MidpointLocator`.
``
`BendpointCreationHandle(ConnectionEditPart owner, int index, int locatorIndex)`
Creates a new BendpointCreationHandle, sets its owner to `owner` and its index to `index`, and sets its locator to a new `MidpointLocator` with the given `locatorIndex`.
``
`BendpointCreationHandle(ConnectionEditPart owner, int index, org.eclipse.draw2d.Locator locator)`
Creates a new BendpointCreationHandle and sets its owner to `owner`, sets its index to `index`, and sets its locator to `locator`.
``
`BendpointMoveHandle(ConnectionEditPart owner, int index)`
Creates a new BendpointMoveHandle, sets its owner to `owner` and its index to `index`, and sets its locator to a new `BendpointLocator`.
``
`BendpointMoveHandle(ConnectionEditPart owner, int index, int locatorIndex)`
Creates a new BendpointMoveHandle, sets its owner to `owner` and its index to `index`, and sets its locator to a new `BendpointLocator` with the given `locatorIndex`.
``
`BendpointMoveHandle(ConnectionEditPart owner, int index, org.eclipse.draw2d.Locator locator)`
Creates a new BendpointMoveHandle and sets its owner to `owner`, sets its index to `index`, and sets its locator to `locator`.
``
`ConnectionEndHandle(ConnectionEditPart owner)`
Deprecated.
``
`ConnectionEndHandle(ConnectionEditPart owner, boolean fixed)`
Deprecated.
``
`ConnectionEndpointHandle(ConnectionEditPart owner, boolean fixed, int endPoint)`
Creates a new ConnectionStartHandle and sets its owner to `owner`.
``
`ConnectionEndpointHandle(ConnectionEditPart owner, int endPoint)`
Creates a new ConnectionStartHandle, sets its owner to `owner` , and sets its locator to a `ConnectionLocator`.
``
`ConnectionStartHandle(ConnectionEditPart owner)`
Deprecated.
``
`ConnectionStartHandle(ConnectionEditPart owner, boolean fixed)`
Deprecated.

## Uses of ConnectionEditPart in org.eclipse.gef.requests

Methods in org.eclipse.gef.requests that return ConnectionEditPart
Modifier and Type
Method
Description
`ConnectionEditPart`
ReconnectRequest.`getConnectionEditPart()`
Returns the ConnectionEditPart to be reconnected.
`ConnectionEditPart`
BendpointRequest.`getSource()`
Returns the ConnectionEditPart that the bendpoint belongs to.
Methods in org.eclipse.gef.requests with parameters of type ConnectionEditPart
Modifier and Type
Method
Description
`void`
ReconnectRequest.`setConnectionEditPart(ConnectionEditPart conn)`
Sets the ConnectionEditPart to be reconnected.
`void`
BendpointRequest.`setSource(ConnectionEditPart s)`
Sets the ConnectionEditPart the bendpoint belongs to.

## Uses of ConnectionEditPart in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return ConnectionEditPart
Modifier and Type
Method
Description
`protected ConnectionEditPart`
ConnectionBendpointTracker.`getConnectionEditPart()`
Returns the connection editpart on which the tracker operates.
`protected ConnectionEditPart`
ConnectionEndpointTracker.`getConnectionEditPart()`
Returns the ConnectionEditPart.
Methods in org.eclipse.gef.tools that return types with arguments of type ConnectionEditPart
Modifier and Type
Method
Description
`protected List<? extends ConnectionEditPart>`
ConnectionBendpointTracker.`createOperationSet()`
Methods in org.eclipse.gef.tools with parameters of type ConnectionEditPart
Modifier and Type
Method
Description
`void`
ConnectionBendpointTracker.`setConnectionEditPart(ConnectionEditPart cep)`
Sets the connection editpart being operated on.
`void`
ConnectionEndpointTracker.`setConnectionEditPart(ConnectionEditPart cep)`
Sets the connection edit part that is being reconnected.
Constructors in org.eclipse.gef.tools with parameters of type ConnectionEditPart
Modifier
Constructor
Description
``
`ConnectionBendpointTracker(ConnectionEditPart editpart, int i)`
Constructs a tracker for the given connection and index.
``
`ConnectionEndpointTracker(ConnectionEditPart cep)`
Constructs a new ConnectionEndpointTracker for the given ConnectionEditPart.

## Uses of ConnectionEditPart in org.eclipse.gef.util

Methods in org.eclipse.gef.util that return types with arguments of type ConnectionEditPart
Modifier and Type
Method
Description
`static HashSet<? extends ConnectionEditPart>`
EditPartUtilities.`getAllNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the transitive nested connection edit parts.
`static HashSet<? extends ConnectionEditPart>`
EditPartUtilities.`getNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the set of `ConnectionEditPart`s that are linked to the child edit parts of the given `GraphicalEditPart`.